package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * ApWiredUplink
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApWiredUplink   {
  @JsonProperty("wiredUplink")
  private ApWiredUplinkInfo wiredUplink;

  public ApWiredUplink wiredUplink(ApWiredUplinkInfo wiredUplink) {
    this.wiredUplink = wiredUplink;
    return this;
  }

  /**
   * Get wiredUplink
   * @return wiredUplink
  */
  @ApiModelProperty(value = "")

  @Valid

  public ApWiredUplinkInfo getWiredUplink() {
    return wiredUplink;
  }

  public void setWiredUplink(ApWiredUplinkInfo wiredUplink) {
    this.wiredUplink = wiredUplink;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApWiredUplink apWiredUplink = (ApWiredUplink) o;
    return Objects.equals(this.wiredUplink, apWiredUplink.wiredUplink);
  }

  @Override
  public int hashCode() {
    return Objects.hash(wiredUplink);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApWiredUplink {\n");
    
    sb.append("    wiredUplink: ").append(toIndentedString(wiredUplink)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

